## ros-kinetic-autoware-msgs 1.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(autoware_msgs)

find_package(catkin REQUIRED COMPONENTS
        message_generation
        std_msgs
        geometry_msgs
        sensor_msgs
        jsk_recognition_msgs
        )


## Generate messages in the 'msg' folder
add_message_files(
        DIRECTORY msg
        FILES
            ControlCommandStamped.msg
            CloudCluster.msg
            CloudClusterArray.msg
            ColorSet.msg
            ControlCommand.msg
            DetectedObject.msg
            DetectedObjectArray.msg
            ExtractedPosition.msg
            ImageLaneObjects.msg
            ImageObjects.msg
            LaneArray.msg
            PointsImage.msg
            ScanImage.msg
            Signals.msg
            TunedResult.msg
            ValueSet.msg
            Centroids.msg
            DTLane.msg
            GeometricRectangle.msg
            ICPStat.msg
            ImageObj.msg
            ImageObjRanged.msg
            ImageObjTracked.msg
            ImageRect.msg
            ImageRectRanged.msg
            Lane.msg
            NDTStat.msg
            ObjLabel.msg
            ObjPose.msg
            ProjectionMatrix.msg
            VscanTracked.msg
            VscanTrackedArray.msg
            Waypoint.msg
            WaypointState.msg
            VehicleCmd.msg
            VehicleLocation.msg
            VehicleStatus.msg
            TrafficLightResult.msg
            TrafficLightResultArray.msg

            AccelCmd.msg
            AdjustXY.msg
            BrakeCmd.msg
            IndicatorCmd.msg
            LampCmd.msg
            SteerCmd.msg
            TrafficLight.msg
            StateCmd.msg
            State.msg
            ## Sync
            SyncTimeMonitor.msg
            SyncTimeDiff.msg

            ## Remote Control
            RemoteCmd.msg
)

## Generate added messages and services with any dependencies listed here
generate_messages(
        DEPENDENCIES
        std_msgs
        geometry_msgs
        sensor_msgs
        jsk_recognition_msgs
)

catkin_package(
        CATKIN_DEPENDS
        message_runtime
        std_msgs
        geometry_msgs
        sensor_msgs
        jsk_recognition_msgs
)

=== debian/changelog ===
ros-kinetic-autoware-msgs (1.12.0-1xenial) xenial; urgency=high



 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Fri, 12 Jul 2019 05:00:00 -0000

ros-kinetic-autoware-msgs (1.11.0-1xenial) xenial; urgency=high

  * [Feature] Rebuild decision maker (#1609 <https://github.com/CPFL/Autoware/issues/1609>)
  * Fix license notice in corresponding package.xml
  * Cleanup WaypointState.msg and add sttering_state=STR_BACK (#1822 <https://github.com/CPFL/Autoware/issues/1822>)
  * Initial release of object filter
  * Contributors: Abraham Monrroy, Kenji Funaoka, amc-nu, s-azumi

 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Thu, 21 Mar 2019 05:00:00 -0000

ros-kinetic-autoware-msgs (1.10.0-1xenial) xenial; urgency=high

  * Feature/perception visualization cleanup (#1648 <https://github.com/CPFL/Autoware/issues/1648>)
    * * Initial commit for visualization package
    * Removal of all visualization messages from perception nodes
    * Visualization dependency removal
    * Launch file modification
    * * Fixes to visualization
    * Error on Clustering CPU
    * Reduce verbosity on markers
    * intial commit
    * * Changed to 2 spaces indentation
    * Added README
    * Fixed README messages type
    * 2 space indenting
    * ros clang format
    * Publish acceleration and velocity from ukf tracker
    * Remove hardcoded path
    * Updated README
    * updated prototype
    * Prototype update for header and usage
    * Removed unknown label from being reported
    * Updated publishing orientation to match develop
    * * Published all the trackers
    * Added valid field for visualization and future compatibility with ADAS ROI filtering
    * Add simple functions
    * Refacor code
    * * Reversed back UKF node to develop
    * Formatted speed
    * Refactor codes
    * Refactor codes
    * Refactor codes
    * Refacor codes
    * Make tracking visualization work
    * Relay class info in tracker node
    * Remove dependency to jskbbox and rosmarker in ukf tracker
    * apply rosclang to ukf tracker
    * Refactor codes
    * Refactor codes
    * add comment
    * refactor codes
    * Revert "Refactor codes"
    This reverts commit 135aaac46e49cb18d9b76611576747efab3caf9c.
    * Revert "apply rosclang to ukf tracker"
    This reverts commit 4f8d1cb5c8263a491f92ae5321e5080cb34b7b9c.
    * Revert "Remove dependency to jskbbox and rosmarker in ukf tracker"
    This reverts commit 4fa1dd40ba58065f7afacc5e478001078925b27d.
    * Revert "Relay class info in tracker node"
    This reverts commit 1637baac44c8d3d414cc069f3af12a79770439ae.
    * delete dependency to jsk and remove pointcloud_frame
    * get direction nis
    * set velocity_reliable true in tracker node
    * Add divided function
    * add function
    * Sanity checks
    * Relay all the data from input DetectedObject
    * Divided function work both for immukf and sukf
    * Add comment
    * Refactor codes
    * Pass immukf test
    * make direction assisted tracking work
    * Visualization fixes
    * Refacor codes
    * Refactor codes
    * Refactor codes
    * refactor codes
    * refactor codes
    * Refactor codes
    * refactor codes
    * Tracker Merging step added
    * Added launch file support for merging phase
    * lane assisted with sukf
    * Refactor codes
    * Refactor codes
    * * change only static objects
    * keep label of the oldest tracker
    * Static Object discrimination
    * Non rotating bouding box
    * no disappear if detector works
    * Modify removeRedundant a bit
    * Replacement of JSK visualization for RViz Native Markers
    * Added Models namespace to visualization
    * Naming change for matching the perception component graph
    * * Added 3D Models for different classes in visualization
    * 2D Rect node visualize_rects added to visualization_package
  * Fix Ndt/NDT naming convention
  * Contributors: Abraham Monrroy Cano, Esteve Fernandez

 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Thu, 17 Jan 2019 06:00:00 -0000

ros-kinetic-autoware-msgs (1.9.1-1xenial) xenial; urgency=high



 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Tue, 06 Nov 2018 06:00:00 -0000

ros-kinetic-autoware-msgs (1.9.0-1xenial) xenial; urgency=high

  * Moved CAN mesages to autoware_can_msgs
  * Moved configuration messages to autoware_config_msgs
  * [fix] PascalCase messages (#1408 <https://github.com/CPFL/Autoware/issues/1408>)
    * Switch message files to pascal case
    * Switch message names to pascal case in Runtime Manager
    * Switch message names to pascal case in *.yaml
    * Rename brake_cmd and steer_cmd to BrakeCmd and SteerCmd in main.yaml
  * Feature/compare map filter (#1559 <https://github.com/CPFL/Autoware/issues/1559>)
    * add compare map filter
    * add README
    * add copyright
    * change default parameter
    * fix typo
    * clang-format
    * Revert "clang-format"
    This reverts commit 95869328f35f6ed1e918c26901ad36ab9737e466.
    * retry clang-format
  * Contributors: Esteve Fernandez, YamatoAndo

 -- Yusuke Fujii <yusuke.fujii@tier4.jp>  Wed, 31 Oct 2018 05:00:00 -0000

ros-kinetic-autoware-msgs (1.8.0-1xenial) xenial; urgency=high

  * Support old behavior of insert static object for obstacle avoidance testing
    Only one simulated car available in the runtime manager
    update for copywrite note
    insert autoware_build_flags to new nodes
  * Feature/std perception msg (#1418 <https://github.com/CPFL/Autoware/pull/1418>)
    * New standard message definition for the perception nodes
    * New Detected Object message applied to:
    * SSD
    * Integrated RVIZ viewer
    * External Viewer
    * modified yolo2 and yolo3, compiles but cuda issues, trying different PC
    * Boiler plate for range vision fusion node
    * Added GenColors for Kinetic
    Typo fixes for yolo2
    * testing colors in Yolo3
    * Completed transformation, projection of 3D boxes
    * Fixed error on negative assignation
    * code clean up


=== debian/control ===
Source: ros-kinetic-autoware-msgs
Section: misc
Priority: extra
Maintainer: Yusuke Fujii <yusuke.fujii@tier4.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-jsk-recognition-msgs, ros-kinetic-message-generation, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-autoware-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geometry-msgs, ros-kinetic-jsk-recognition-msgs, ros-kinetic-message-runtime, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Description: The autoware_msgs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-autoware-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
